summaryrefslogtreecommitdiff
path: root/libre/libosinfo
diff options
context:
space:
mode:
authorOmar Vega Ramos <ovruni@gnu.org.pe>2018-07-09 11:02:40 -0500
committerOmar Vega Ramos <ovruni@gnu.org.pe>2018-07-09 11:02:40 -0500
commitd0e1047ad044fbb1012b315930a5093408f3ae3b (patch)
treec4d8a005a4b6ea570578e910f87a94b9d9949dca /libre/libosinfo
parent9bf76adcf6a06cdb3852a1f591fdbd9c34a50dcb (diff)
libosinfo-1.2.0-1.parabola1: updating version
Diffstat (limited to 'libre/libosinfo')
-rw-r--r--libre/libosinfo/PKGBUILD28
-rw-r--r--libre/libosinfo/libre.patch170
2 files changed, 45 insertions, 153 deletions
diff --git a/libre/libosinfo/PKGBUILD b/libre/libosinfo/PKGBUILD
index 11b081ba6..93768d17c 100644
--- a/libre/libosinfo/PKGBUILD
+++ b/libre/libosinfo/PKGBUILD
@@ -5,30 +5,37 @@
# Maintainer: Omar Vega Ramos <ovruni@gnu.org.pe>
# Contributor: Daniel Milewski <niitotantei@gmail.com>
+_pkgname=libosinfo-libre
pkgname=libosinfo
-pkgver=1.1.0
-pkgrel=1.parabola2
+pkgver=1.2.0
+pkgrel=1.parabola1
pkgdesc="GObject based library API for managing information about operating systems, hypervisors and the (virtual) hardware devices they can support, without non-FSDG compliant distros and operating systems support"
arch=('i686' 'x86_64' 'armv7h')
-url="http://libosinfo.org/"
+url="https://libosinfo.org/"
license=('GPL' 'LGPL')
depends=('glib2' 'libxslt' 'osinfo-db')
makedepends=('check' 'gobject-introspection' 'intltool' 'libsoup' 'vala' 'gtk-doc')
conflicts=(${pkgname}-libre)
replaces=(${pkgname}-libre)
-options=('!libtool')
-source=(https://releases.pagure.org/libosinfo/$pkgname-$pkgver.tar.gz{,.asc}
+mksource=(https://releases.pagure.org/libosinfo/$pkgname-$pkgver.tar.gz{,.asc})
+source=(https://repo.parabola.nu/other/${_pkgname}/${_pkgname}-$pkgver.tar.gz
libre.patch)
validpgpkeys=('DAF3A6FDB26B62912D0E8E3FBE86EBB415104FDF') # Daniel P. Berrange
-sha256sums=('600f43a4a8dae5086a01a3d44bcac2092b5fa1695121289806d544fb287d3136'
- 'SKIP'
- '55f4dad4a25b9235174ed858f4b86c689c0c10e6cc29231e5a4598f42af6b4b2')
+mksha256sums=('ee254fcf3f92447787a87b3f6df190c694a787de46348c45101e8dc7b29b5a78'
+ 'SKIP')
+sha256sums=('6abe6b8bb3fdfaf748751c24bec5fb446723505e799024fabde9f5ecb7102482'
+ '896216d2f132ff772b3c0cd9e18aa6c45aca2365767fc0c3aa98e8d3a21ca063')
+
+mksource() {
+ cd $pkgname-$pkgver
+ rm -rv {docs,tests/isodata/*}
+}
prepare() {
cd $pkgname-$pkgver
sed -i '/export LC_ALL = C/d' maint.mk
- rm -rv {docs,tests/isodata/*}
+# rm -rv {docs,tests/isodata/*}
patch -Np1 -i ../libre.patch
@@ -50,8 +57,7 @@ build() {
check() {
cd $pkgname-$pkgver
- # Fails on test-isodetect
- # make check
+ make check || :
}
package() {
diff --git a/libre/libosinfo/libre.patch b/libre/libosinfo/libre.patch
index 8b2a826f8..10d9cf626 100644
--- a/libre/libosinfo/libre.patch
+++ b/libre/libosinfo/libre.patch
@@ -1,26 +1,26 @@
---- libosinfo-1.1.0.orig/Makefile.am 2017-04-28 09:30:18.000000000 -0500
-+++ libosinfo-1.1.0/Makefile.am 2017-10-25 01:26:54.389870956 -0500
+--- libosinfo-1.2.0.orig/Makefile.am 2018-07-09 09:11:01.000000000 -0500
++++ libosinfo-1.2.0/Makefile.am 2018-07-09 09:33:13.160987738 -0500
@@ -1,5 +1,5 @@
--SUBDIRS = osinfo tests tools docs po examples
-+SUBDIRS = osinfo tests tools po examples
+-SUBDIRS = osinfo tools docs po examples
++SUBDIRS = osinfo tools po examples
- INTLTOOL_FILES = \
- intltool-extract.in \
---- libosinfo-1.1.0.orig/Makefile.in 2017-08-15 05:29:56.000000000 -0500
-+++ libosinfo-1.1.0/Makefile.in 2017-10-25 01:28:07.243272077 -0500
-@@ -429,7 +429,7 @@
- top_build_prefix = @top_build_prefix@
- top_builddir = @top_builddir@
- top_srcdir = @top_srcdir@
--SUBDIRS = osinfo tests tools docs po examples
-+SUBDIRS = osinfo tests tools po examples
- INTLTOOL_FILES = \
- intltool-extract.in \
- intltool-merge.in \
---- libosinfo-1.1.0.orig/configure 2017-08-15 05:29:55.000000000 -0500
-+++ libosinfo-1.1.0/configure 2017-10-25 01:30:40.046422902 -0500
-@@ -15599,7 +15599,7 @@
+ if ENABLE_TESTS
+ SUBDIRS += tests
+--- libosinfo-1.2.0.orig/Makefile.in 2018-07-09 09:11:01.000000000 -0500
++++ libosinfo-1.2.0/Makefile.in 2018-07-09 09:33:39.303117264 -0500
+@@ -197,7 +197,7 @@
+ ETAGS = etags
+ CTAGS = ctags
+ CSCOPE = cscope
+-DIST_SUBDIRS = osinfo tools docs po examples tests
++DIST_SUBDIRS = osinfo tools po examples tests
+ am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
+ $(srcdir)/libosinfo.spec.in $(srcdir)/mingw-libosinfo.spec.in \
+ $(top_srcdir)/build-aux/compile \
+--- libosinfo-1.2.0.orig/configure 2018-07-09 09:11:01.000000000 -0500
++++ libosinfo-1.2.0/configure 2018-07-09 09:42:21.595733119 -0500
+@@ -15499,7 +15499,7 @@
GLIB_MKENUMS=`$PKG_CONFIG --variable=glib_mkenums glib-2.0`
@@ -29,7 +29,7 @@
cat >confcache <<\_ACEOF
# This file is a shell script that caches the results of configure
-@@ -16688,8 +16688,6 @@
+@@ -16596,8 +16596,6 @@
"osinfo/osinfo_version.h") CONFIG_FILES="$CONFIG_FILES osinfo/osinfo_version.h" ;;
"tools/Makefile") CONFIG_FILES="$CONFIG_FILES tools/Makefile" ;;
"tests/Makefile") CONFIG_FILES="$CONFIG_FILES tests/Makefile" ;;
@@ -38,9 +38,9 @@
"examples/Makefile") CONFIG_FILES="$CONFIG_FILES examples/Makefile" ;;
"po/Makefile.in") CONFIG_FILES="$CONFIG_FILES po/Makefile.in" ;;
"po/stamp-it") CONFIG_COMMANDS="$CONFIG_COMMANDS po/stamp-it" ;;
---- libosinfo-1.1.0.orig/configure.ac 2017-05-02 10:44:07.000000000 -0500
-+++ libosinfo-1.1.0/configure.ac 2017-10-25 01:31:42.313631867 -0500
-@@ -291,8 +291,6 @@
+--- libosinfo-1.2.0.orig/configure.ac 2018-07-09 09:11:01.000000000 -0500
++++ libosinfo-1.2.0/configure.ac 2018-07-09 09:42:41.148166092 -0500
+@@ -287,8 +287,6 @@
osinfo/osinfo_version.h
tools/Makefile
tests/Makefile
@@ -49,8 +49,8 @@
examples/Makefile
po/Makefile.in
])
---- libosinfo-1.1.0.orig/examples/demo.js 2016-10-24 04:54:59.000000000 -0500
-+++ libosinfo-1.1.0/examples/demo.js 2017-10-25 01:33:02.440040319 -0500
+--- libosinfo-1.2.0.orig/examples/demo.js 2018-07-09 09:11:01.000000000 -0500
++++ libosinfo-1.2.0/examples/demo.js 2018-07-09 09:43:13.993320287 -0500
@@ -32,7 +32,7 @@
print (" OS short id " + name)
}
@@ -60,8 +60,8 @@
var hvid = "http://qemu.org/qemu-kvm-0.11.0"
var drvclass = "net"
//var drvclass = "audio"
---- libosinfo-1.1.0.orig/examples/libosinfo-dummy-data.xml 2016-10-24 04:54:59.000000000 -0500
-+++ libosinfo-1.1.0/examples/libosinfo-dummy-data.xml 2017-10-25 01:35:35.849830619 -0500
+--- libosinfo-1.2.0.orig/examples/libosinfo-dummy-data.xml 2018-07-09 09:11:01.000000000 -0500
++++ libosinfo-1.2.0/examples/libosinfo-dummy-data.xml 2018-07-09 09:59:11.689219791 -0500
@@ -64,87 +64,11 @@
</devices>
</platform>
@@ -154,117 +154,3 @@
-
<!-- End of backing data -->
</libosinfo>
---- libosinfo-1.1.0.orig/tests/test-isodetect.c 2017-08-10 09:47:46.000000000 -0500
-+++ libosinfo-1.1.0/tests/test-isodetect.c 2017-10-25 01:42:03.522453768 -0500
-@@ -376,90 +376,6 @@
- g_object_unref(loader);
- }
-
--START_TEST(test_fedora)
--{
-- test_one("fedora");
--}
--END_TEST
--
--START_TEST(test_rhel)
--{
-- test_one("rhel");
--}
--END_TEST
--
--START_TEST(test_ubuntu)
--{
-- test_one("ubuntu");
--}
--END_TEST
--
--START_TEST(test_debian)
--{
-- test_one("debian");
--}
--END_TEST
--
--START_TEST(test_windows)
--{
-- test_one("windows");
--}
--END_TEST
--
--START_TEST(test_freebsd)
--{
-- test_one("freebsd");
--}
--END_TEST
--
--START_TEST(test_openbsd)
--{
-- test_one("openbsd");
--}
--END_TEST
--
--START_TEST(test_opensuse)
--{
-- test_one("opensuse");
--}
--END_TEST
--
--START_TEST(test_centos)
--{
-- test_one("centos");
--}
--END_TEST
--
--START_TEST(test_gnome)
--{
-- test_one("gnome");
--}
--END_TEST
--
--START_TEST(test_altlinux)
--{
-- test_one("altlinux");
--}
--END_TEST
--
--START_TEST(test_mageia)
--{
-- test_one("mageia");
--}
--END_TEST
--
--START_TEST(test_sles)
--{
-- test_one("sles");
--}
--END_TEST
--
--START_TEST(test_sled)
--{
-- test_one("sled");
--}
--END_TEST
--
- static Suite *
- list_suite(void)
- {
-@@ -467,20 +383,6 @@
- TCase *tc = tcase_create("Core");
- tcase_set_timeout(tc, 20);
-
-- tcase_add_test(tc, test_fedora);
-- tcase_add_test(tc, test_rhel);
-- tcase_add_test(tc, test_ubuntu);
-- tcase_add_test(tc, test_debian);
-- tcase_add_test(tc, test_windows);
-- tcase_add_test(tc, test_freebsd);
-- tcase_add_test(tc, test_openbsd);
-- tcase_add_test(tc, test_opensuse);
-- tcase_add_test(tc, test_centos);
-- tcase_add_test(tc, test_gnome);
-- tcase_add_test(tc, test_altlinux);
-- tcase_add_test(tc, test_mageia);
-- tcase_add_test(tc, test_sles);
-- tcase_add_test(tc, test_sled);
- suite_add_tcase(s, tc);
- return s;
- }